Форум русскоязычного сообщества Ubuntu


Хотите сделать посильный вклад в развитие Ubuntu и русскоязычного сообщества?
Помогите нам с документацией!

Автор Тема: Проблема с AMD  (Прочитано 1451 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн wmzy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Проблема с AMD
« : 15 Октябрь 2017, 08:07:59 »
Всем привет! Вот решил перейти на Линукс. Протестировал для себя 5 дистрибутивов, остановился на Ubuntu. Система полностью устраивает. Но есть проблема. Иногда играю в доту, и хотелось, чтоб на Ubuntu все работало как надо. Видеокарта: AMD R9 270x. Проблема такая, в рандомное время, через 2 мин после запуска, или через 30 игра просто зависает, звук крашится и повторяется. В итоге только перезагрузка пк остается, а потом все по новой. Почитал темы, сказано, что нужно установить проприетарный драйвер. Но АМД прекратили поддержку Каталист, а AMDGPU PRO не поддерживает мою карту. Даже странно все карты из той же линейки есть, моей нет. Так вот подскажите новичку, что делать. Есть вариант поставить 17.04, вроде ядро новее, и свободный драйвер должен работать лучше. Но не уверен. Пробовал запускать в окне/в окне без рамки. Тоже самое. Пробовал запустить через Вулкан, так требует проприетарный драйвер.

Оффлайн DimanBG

  • Старожил
  • *
  • Сообщений: 1301
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #1 : 15 Октябрь 2017, 09:01:25 »
wmzy, установить 14-ю Ubuntu и штатно проприетарный драйвер и не выносить мозг ни себе ни людям. А если уж так нужна 16-я, то в межигровые промежутки поинтересоваться, как устанавливать fglrx на 16-ю Ubuntu. И не надейся, что свободный драйвер будет работать на уровне проприетарного, даже в новых версиях Ubuntu. Такого никогда не было, нет и не будет.

Оффлайн Peter_I

  • Старожил
  • *
  • Сообщений: 2156
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #2 : 15 Октябрь 2017, 10:36:59 »
Тогда, м.б., лучше Catalist от AMD или как он сейчас называется?
Ubuntu-14.04 уже несколько устарела, в т.ч. firefox.
Пётр.

Оффлайн ecc83

  • Старожил
  • *
  • Сообщений: 2084
  • Lubuntu 16.04 LTS
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #3 : 15 Октябрь 2017, 10:55:25 »
Ubuntu-14.04 уже несколько устарела

Вообще то видеокарта у автора тоже "несколько устарела", а Ubuntu 14.04 поддерживается ещё до апреля 2019 года.
Не все ноутбуки доживут  :)


в т.ч. firefox.

Не совсем понятно при чем тут firefox?
Firefox тоже обновляется, к тому же он не прибит гвоздями к убунте, ставьте любую версию или вообще другой браузер.

Оффлайн wmzy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #4 : 15 Октябрь 2017, 11:34:16 »
wmzy, установить 14-ю Ubuntu и штатно проприетарный драйвер и не выносить мозг ни себе ни людям. А если уж так нужна 16-я, то в межигровые промежутки поинтересоваться, как устанавливать fglrx на 16-ю Ubuntu. И не надейся, что свободный драйвер будет работать на уровне проприетарного, даже в новых версиях Ubuntu. Такого никогда не было, нет и не будет.
На 16 Ubuntu нельзя установить fgrlx(AMD Catalyst, AMD Crimson). В следущий раз, когда захочешь что-то написать, погугли сам сначала. На 14.05 тоже не пашет (но хотяб есть возможность установить). Для 16 только AMDGPU PRO. А свободный драйвер скоро не будет уступать проприетарному (возможно), тк АМД давно забросили разработку этих дров под линукс. По теме ничего нового не увидел.

Оффлайн DimanBG

  • Старожил
  • *
  • Сообщений: 1301
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #5 : 15 Октябрь 2017, 14:01:51 »
На 16 Ubuntu нельзя установить fgrlx(AMD Catalyst, AMD Crimson). В следущий раз, когда захочешь что-то написать, погугли сам сначала.
На ну. Люди даже хаутушки пишут. Специально для таких как ты, сделав для себя сначала. А официально, да нет установки. На форуме по крайней мере один человек это сделал, правда на Kubuntu, но это не суть важно, и написал, что почём, хоккей с мячом на форуме Kubuntu. Про зубугорные ресурсы я уж промолчу, раз ты и в рунете не можешь найти. На Минтовском форуме вообще подробно всё расписано. Вся проблема то в версии ксорг.
АМД, спонсор Каноникал, и специально так делают, хочешь новую версию ОС - покупай новую карту, будет тебе и amdgpu и pro. Нет денег, ума и руки кривые - сиди на 14.04 с fglrx до окончания её поддержки. Такая у них политика. Да и если остальное железо не шибко новое, то и от 16-й особого профита не будет.

Оффлайн Tear

  • Старожил
  • *
  • Сообщений: 1435
  • Ubuntu 16.04 LTS
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #6 : 15 Октябрь 2017, 14:25:51 »
Ubuntu-14.04 уже несколько устарела, в т.ч. firefox.
Firefox там нормальный и обновляется постоянно. Тут дистр под задачу надо выбирать. Лучше 14.04 без бубнов до 2019 года, чем 16.04, в которой не работает то что нужно. Тем более, дистр ещё поддерживается.

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 2831
  • Kubuntu 12.04, 16.04, 18.04, 20.04, 21.04
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #7 : 15 Октябрь 2017, 14:38:01 »
На 14.05 тоже не пашет (но хотяб есть возможность установить).
wmzy, 14.04 должна версии не выше 14.04.3, т.е с ядром версии не выше 3.19 и иксами не выше 1.17.3. Тогда можно будет из репов установить fgrlx или вручную Crimson.
Я странен, а не странен кто ж? (С)

Оффлайн sergey109

  • Активист
  • *
  • Сообщений: 581
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #8 : 15 Октябрь 2017, 14:47:32 »
 В августе у меня сгорела амдешная карта и я с облегчением купил нвидиа (проклиная майнеров)
До этого успел выяснить, что значительный прорыв в производительности свободных драйверов
приходится на месу 17.0.2 и выше. А она в убунте устаревшая даже в 17.04.
 Когда у меня был радеон с месой 17.0.3 ,его производительность в тестах почти не отличалась
от fglrx. В этих, к примеру - Unigine_Valley-1.0 , Unigine_Heaven-4.0.
Сейчас версия месы  17.2.2. Попытайтесь найти ppa с актуальным ксоргом и месой, если нет, то
остается только подождать или перейти к примеру на arch.
ps
(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 15 Октябрь 2017, 14:55:48 от sergey109 »

Оффлайн wmzy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #9 : 15 Октябрь 2017, 15:32:01 »
Вот действительно все по делу. Только я все это знаю, откатывать ксорг не вариант. Я же не так давно на дебиан 9  пытался установить fglrx, в итоге все облазил, понял, что не получится. А вот допустим в arch какая меса стоит? И какой arch посоветуешь?

Пользователь добавил сообщение 15 Октябрь 2017, 15:37:47:
На 16 Ubuntu нельзя установить fgrlx(AMD Catalyst, AMD Crimson). В следущий раз, когда захочешь что-то написать, погугли сам сначала.
На ну. Люди даже хаутушки пишут. Специально для таких как ты, сделав для себя сначала. А официально, да нет установки. На форуме по крайней мере один человек это сделал, правда на Kubuntu, но это не суть важно, и написал, что почём, хоккей с мячом на форуме Kubuntu. Про зубугорные ресурсы я уж промолчу, раз ты и в рунете не можешь найти. На Минтовском форуме вообще подробно всё расписано. Вся проблема то в версии ксорг.
АМД, спонсор Каноникал, и специально так делают, хочешь новую версию ОС - покупай новую карту, будет тебе и amdgpu и pro. Нет денег, ума и руки кривые - сиди на 14.04 с fglrx до окончания её поддержки. Такая у них политика. Да и если остальное железо не шибко новое, то и от 16-й особого профита не будет.
Ты вместо того чтоб это писать, лучше бы подсказал как именно на 16 поставить fgrlx он же AMD Crimson. Гуглил я везде, а по забугорным инструкциям пробовал. То выдает черный экран, тогда опять же по инструкции пытался фиксануть (не помогло), то просто установщик писал ошибку, которую гуглил (ничего толкового, советы в твоем духе, аля меняй систему/карту).
« Последнее редактирование: 15 Октябрь 2017, 15:37:47 от wmzy »

Оффлайн AlexBKost

  • Старожил
  • *
  • Сообщений: 2831
  • Kubuntu 12.04, 16.04, 18.04, 20.04, 21.04
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #10 : 15 Октябрь 2017, 16:02:43 »
Только я все это знаю, откатывать ксорг не вариант.
wmzy, раз такое принципиальное отношение к иксам, то и про Crimson на 16.04 можешь забыть, ибо откат иксов - там необходимое условие. Потому и ссылок давать не буду.
Я странен, а не странен кто ж? (С)

Оффлайн sergey109

  • Активист
  • *
  • Сообщений: 581
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #11 : 15 Октябрь 2017, 17:33:11 »
 Вариант аля-арч для ленивых - manjaro.
Заходишь на сайт, по ссылке скачиваешь самую последнюю версию и ставишь.
Доступны офф. сборки - kde,xfce,gnome и созданные коммьюнити - всяческие.
Обновляешь (если интернета нет на стадии установки)
(Нажмите, чтобы показать/скрыть)
Ставишь каталист (по кличке crymson edition)
(Нажмите, чтобы показать/скрыть)
- либо всё то-же самое , но в гуи - "Manjaro Settings", просто ставишь галочку.
ЗЫ
 Для fglrx советую kde, xfce , mate ,lxde, lxqt. Не советую - gnome,deepin,cinnamon,budgie.
Стоит самая распоследняя меса и предпоследний ксорг. В случае установки каталиста, будет даунгрейд
до 17 й версии ксорга. Впрочем вернуть всё взад не проблема.
ззы
(Нажмите, чтобы показать/скрыть)
« Последнее редактирование: 15 Октябрь 2017, 17:52:19 от sergey109 »

Оффлайн wmzy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #12 : 15 Октябрь 2017, 20:18:57 »
Благодарю, а даунгред самостоятельно производить? Просто ты так написал, что можно подумать будто при установке кримсона ксорг сам даунгрейднется.
« Последнее редактирование: 15 Октябрь 2017, 21:05:15 от Azure »

Оффлайн sergey109

  • Активист
  • *
  • Сообщений: 581
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #13 : 15 Октябрь 2017, 22:09:19 »
 В мньяро даунгрейд производится автоматически (по зависимостям)
Просто разработчики собрали ксорг и модули в пакеты catalyst-video catalyst-server catalyst-input,
во избежание его дальнейшего изменения , например при обновлениях.

Оффлайн wmzy

  • Автор темы
  • Новичок
  • *
  • Сообщений: 6
    • Просмотр профиля
Re: Проблема с AMD
« Ответ #14 : 16 Октябрь 2017, 05:39:07 »
А KDE Plasma пойдет?

 

Страница сгенерирована за 0.365 секунд. Запросов: 22.